public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Marek Szuba" <marecki@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/subprocess-tee/
Date: Thu, 16 Sep 2021 15:19:35 +0000 (UTC)	[thread overview]
Message-ID: <1631805570.3ec0cde123bdf9de1a4c28b312fb2e43a9d57733.marecki@gentoo> (raw)

commit:     3ec0cde123bdf9de1a4c28b312fb2e43a9d57733
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 16 15:18:28 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Thu Sep 16 15:19:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ec0cde1

dev-python/subprocess-tee: make it possible to run heavy tests

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 dev-python/subprocess-tee/metadata.xml                |  7 +++++++
 dev-python/subprocess-tee/subprocess-tee-0.3.4.ebuild | 12 ++++++++----
 2 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/dev-python/subprocess-tee/metadata.xml b/dev-python/subprocess-tee/metadata.xml
index 89509cbe280..b512ef6a117 100644
--- a/dev-python/subprocess-tee/metadata.xml
+++ b/dev-python/subprocess-tee/metadata.xml
@@ -10,4 +10,11 @@
 		<remote-id type="github">pycontribs/subprocess-tee</remote-id>
 		<remote-id type="pypi">subprocess-tee</remote-id>
 	</upstream>
+	<use>
+		<flag name="test-full">
+			Enable full test mode. Pulls in many additional dependencies,
+			and requires having been emerged without this flag first
+			in order to avoid a circular dependency.
+		</flag>
+	</use>
 </pkgmetadata>

diff --git a/dev-python/subprocess-tee/subprocess-tee-0.3.4.ebuild b/dev-python/subprocess-tee/subprocess-tee-0.3.4.ebuild
index cf66fc20271..c17411cbabe 100644
--- a/dev-python/subprocess-tee/subprocess-tee-0.3.4.ebuild
+++ b/dev-python/subprocess-tee/subprocess-tee-0.3.4.ebuild
@@ -14,20 +14,21 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
+IUSE="test-full"
 
+REQUIRED_USE="test-full? ( test )"
+
+# ansible-molecule is invoked as an executable so no need for PYTHON_USEDEP
 BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]
 	dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
 	test? (
 		$(python_gen_cond_dep '
 			dev-python/enrich[${PYTHON_USEDEP}]
 		' python3_{8,9})
+		test-full? ( app-admin/ansible-molecule )
 	)"
 
 distutils_enable_tests pytest
-# Depends on app-admin/ansible-molecule, which pulls in A LOT of other
-# ebuilds - including subprocess-tee itself. Too much trouble for a single
-# test if you ask me.
-EPYTEST_DESELECT=( "src/${PN/-/_}/test/test_func.py::test_molecule" )
 
 # dev-python/{,en}rich ebuilds do not support python3_10 yet.
 # We test fine (modulo some deprecation warnings) against 3.10 under tox, though.
@@ -36,5 +37,8 @@ python_test() {
 		ewarn "Skipping tests for ${EPYTHON} due to missing dependencies"
 		return 0
 	fi
+	if ! use test-full; then
+		local -x EPYTEST_DESELECT=( "src/${PN/-/_}/test/test_func.py::test_molecule" )
+	fi
 	distutils-r1_python_test
 }


             reply	other threads:[~2021-09-16 15:19 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-16 15:19 Marek Szuba [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-06  8:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/subprocess-tee/ Michał Górny
2024-07-06  6:56 Arthur Zamarin
2024-06-18  4:45 Michał Górny
2024-05-18  9:41 Michał Górny
2023-11-04 18:03 Michał Górny
2022-12-25 17:50 Michał Górny
2022-12-25 16:45 Sam James
2022-12-18  7:27 Michał Górny
2022-11-25  5:14 Michał Górny
2022-09-27  7:06 Agostino Sarubbo
2022-09-21 14:00 Marek Szuba
2022-09-21 14:00 Marek Szuba
2022-06-05  5:52 Michał Górny
2022-04-01  8:18 Marek Szuba
2021-10-17  9:41 Michał Górny
2021-10-07  7:21 Michał Górny
2021-10-06  7:46 Michał Górny
2021-09-15 15:14 Marek Szuba
2021-06-14 12:39 Marek Szuba
2021-06-11 15:05 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1631805570.3ec0cde123bdf9de1a4c28b312fb2e43a9d57733.marecki@gentoo \
    --to=marecki@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox